evalgate
List evalgate synthesize
Requires scopes: reports:write
GET
/
api
/
evalgate
/
synthesize
List evalgate synthesize
curl --request GET \
--url https://evalgate.com/api/evalgate/synthesize \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/evalgate/synthesize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/evalgate/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"continuation": {
"entryPoint": "playground",
"workspace": "local",
"steps": [
{
"href": "<string>",
"id": "<string>",
"label": "<string>",
"description": "<string>",
"command": "<string>"
}
]
},
"recipe": {
"source": {
"type": "dataset",
"evaluationRunId": 123,
"datasetId": "<string>",
"traceIds": [
123
],
"failureClusterIds": [
"<string>"
]
},
"dimensions": {},
"failureModes": [
"<string>"
],
"count": 123,
"maxCombinations": 123,
"seed": "<string>",
"stageMissionProposals": true,
"publishDatasetVersion": true,
"modelPolicy": {
"mode": "deterministic",
"provider": "<string>",
"model": "<string>",
"systemPrompt": "<string>",
"temperature": 123,
"maxTokens": 123
},
"budget": {
"maxTokens": 123,
"maxUsd": 123,
"maxItems": 123
},
"execution": {
"enabled": true,
"required": true,
"minimumScore": 123,
"timeoutMs": 123
},
"schema": {},
"distributionTargets": {},
"evaluationId": 123,
"datasetId": "<string>"
},
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluationId": 123,
"datasetId": "<string>",
"createdBy": "<string>",
"idempotencyKey": "<string>",
"recipeHash": "<string>",
"sourceSnapshotHash": "<string>",
"sourceRefs": [
{}
],
"modelPolicy": {
"mode": "deterministic",
"provider": "<string>",
"model": "<string>",
"systemPrompt": "<string>",
"temperature": 123,
"maxTokens": 123
},
"budgetPolicy": {
"maxTokens": 123,
"maxUsd": 123,
"maxItems": 123
},
"lineage": {
"sourceRefs": [
{}
],
"modelCalls": [
{}
],
"provider": "<string>",
"model": "<string>",
"configHash": "<string>",
"budgetReservedUsd": 123,
"budgetConsumedUsd": 123,
"budgetConsumedTokens": 123
},
"qualitySummary": {},
"consumedCostUsd": "<string>",
"consumedTokens": 123,
"status": "<string>",
"totalCount": 123,
"pendingCount": 123,
"validCount": 123,
"invalidCount": 123,
"duplicateCount": 123,
"reviewedCount": 123,
"missionId": "<string>",
"publishedDatasetVersionId": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generationRunId": "<string>",
"stableItemId": "<string>",
"ordinal": 123,
"status": "<string>",
"input": "<string>",
"expectedOutput": "<string>",
"actual": "<string>",
"failureMode": "<string>",
"dimensions": {},
"sourceCaseIds": [
"<string>"
],
"dedupeHash": "<string>",
"provenance": {},
"validation": {
"status": "unknown",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"checks": {},
"validatedAt": "<string>"
},
"execution": {
"status": "pending",
"checkedAt": "<string>",
"output": "<string>",
"score": 123,
"error": "<string>",
"latencyMs": 123,
"model": "<string>",
"provider": "<string>",
"modelCallId": "<string>",
"costUsd": 123,
"tokens": {
"input": 123,
"output": 123
}
},
"attempt": 123,
"reviewDecision": "<string>",
"reviewRationale": "<string>",
"reviewerId": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextItemCursor": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Query Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List evalgate synthesize
